### File

`packages/components/eui-comment-thread/eui-comment-thread.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-comment-thread`
imports | `TranslateModule` `NgTemplateOutlet` `EUI_TEXTAREA` `EUI_AVATAR` `EUI_BUTTON` `EUI_ICON` `EuiCommentTextareaComponent`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-comment-thread.component.html`

### Index

###### Properties
subCommentItems
###### Methods
Public onCommentCancel Public onCommentSend Public onToggleOpen
###### Inputs
currentAuthorAvatarUrl hasTextarea isCollapsable isOpen placeholder textareaPosition
###### Outputs
commentCancel commentSend
###### HostBindings
class
###### Accessors
cssClasses nbSubCommentItems

### Inputs

currentAuthorAvatarUrl
Type : `string`
Default value : `null`

hasTextarea
Type : `boolean`
Default value : `true`

isCollapsable
Type : `boolean`
Default value : `true`

isOpen
Type : `boolean`
Default value : `false`

placeholder
Type : `string`
Default value : `'eui.ADD-A-COMMENT'`

textareaPosition
Default value : `'top'`

### Outputs

commentCancel
Type : `EventEmitter`

commentSend
Type : `EventEmitter`

### HostBindings

class
Type : `string`

### Methods

Public onCommentCancel
`onCommentCancel()`
Returns : `void`

Public onCommentSend
`onCommentSend(comment: string)`
Parameters :
Name | Type | Optional
comment | `string` | No
Returns : `void`

Public onToggleOpen
`onToggleOpen()`
Returns : `void`

### Properties

subCommentItems
Type : `QueryList<EuiCommentItemComponent>`
Decorators : `@ContentChildren(EuiCommentItemComponent)`

### Accessors

cssClasses
get `cssClasses()`

nbSubCommentItems
get `nbSubCommentItems()`

# results matching ""

# No results matching ""